## ros-melodic-diagnostic-updater 1.9.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(diagnostic_updater)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED diagnostic_msgs roscpp std_msgs)

catkin_python_setup()

catkin_package(DEPENDS diagnostic_msgs roscpp std_msgs
               INCLUDE_DIRS include
	       LIBRARIES ${PROJECT_NAME}
)

include_directories(include ${catkin_INCLUDE_DIRS})
add_executable(example src/example.cpp)
add_library(${PROJECT_NAME}
  src/timestamp_status.cpp)
target_link_libraries(example ${catkin_LIBRARIES})

#set(LOCAL_GTEST_DIR "gtest-1.7.0")
# gtest could be included in ${catkin_INCLUDE_DIRS}, prepend local gtest include directory so it's searched first
#include_directories(BEFORE ${LOCAL_GTEST_DIR}/include)

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_rostest_gtest(diagnostic_updater_test test/diagnostic_updater_test.xml test/diagnostic_updater_test.cpp)
  add_rostest(test/diagnostic_updater_fast_test.xml)
  target_link_libraries(diagnostic_updater_test ${catkin_LIBRARIES} ${PROJECT_NAME})
endif()

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(TARGETS ${PROJECT_NAME}
    RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
    ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

=== debian/changelog ===
ros-melodic-diagnostic-updater (1.9.7-1stretch) stretch; urgency=high

  * Estract TimestampStatus run to cpp
  * Contributors: Guglielmo Gemignani

 -- Austin Hendrix <namniart@gmail.com>  Wed, 02 Sep 2020 22:00:00 -0000

ros-melodic-diagnostic-updater (1.9.6-1stretch) stretch; urgency=high

  * Add SlowTimeStampStatus (#144 <https://github.com/ros/diagnostics/issues/144>)
  * Test build fix on Windows (#8 <https://github.com/ros/diagnostics/issues/8>) (#107 <https://github.com/ros/diagnostics/issues/107>)
  * Resolve div by zero in updater (#108 <https://github.com/ros/diagnostics/issues/108>)
  * Use std::isfinite due to deprecation on osx (#113 <https://github.com/ros/diagnostics/issues/113>)
  * Remove extra (not needed) trailing ':' (#116 <https://github.com/ros/diagnostics/issues/116>)
  * Fix GCC warnings with -Wpedantic (#124 <https://github.com/ros/diagnostics/issues/124>)
  * Contributors: Enrique Fernandez Perdomo, Jacob Perron, Sean Yen, Stephan Sundermann, William Hudgins, gemignani

 -- Austin Hendrix <namniart@gmail.com>  Mon, 17 Aug 2020 22:00:00 -0000

ros-melodic-diagnostic-updater (1.9.5-1stretch) stretch; urgency=high

  * Merge pull request #105 <https://github.com/ros/diagnostics/issues/105> from mikepurvis/py3-httplib
    Fix httplib import for Python 3.
  * Fix httplib import for Python 3.
  * Merge pull request #97 <https://github.com/ros/diagnostics/issues/97> from kejxu/fix_windows_build_issue
    fix windows build issue
  * Merge branch 'indigo-devel' into fix_windows_build_issue
  * update windows bringup (#5 <https://github.com/ros/diagnostics/issues/5>)
  * avoid ERROR from windows.h
  * windows bringup
  * Merge pull request #86 <https://github.com/ros/diagnostics/issues/86> from icolwell/diagnostic_status_custom_names
    Custom names for FrequencyStatus and TimeStampStatus
  * Remove C++11 features
  * Wording
  * Custom names for existing diagnostics tasks
  * Merge pull request #84 <https://github.com/ros/diagnostics/issues/84> from nbussas/frequency_status_name
    Make FrequencyStatus' name configurable
  * Make FrequencyStatus' name configurable
  * Contributors: Austin, Ian Colwell, James Xu, Mike Purvis, Nils Bussas, Sean Yen

 -- Austin Hendrix <namniart@gmail.com>  Sun, 09 Aug 2020 22:00:00 -0000

ros-melodic-diagnostic-updater (1.9.3-1stretch) stretch; urgency=high

  * Merge pull request #73 <https://github.com/ros/diagnostics/issues/73> from tue-robotics/indigo-devel
    Add a simple Heartbeat-DiagnosticTask
  * Add Python version of Heartbeat DiagnosticTask
  * Add a very very simple Heartbeat DiagnosticTask
  * Contributors: Austin, Loy van Beek, loy

 -- Austin Hendrix <namniart@gmail.com>  Tue, 01 May 2018 22:00:00 -0000

ros-melodic-diagnostic-updater (1.9.2-1stretch) stretch; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Fri, 14 Jul 2017 22:00:00 -0000

ros-melodic-diagnostic-updater (1.9.1-1stretch) stretch; urgency=high

  * Add queue size parameters on Publishers
  * Minor python updates
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Fri, 14 Jul 2017 22:00:00 -0000

ros-melodic-diagnostic-updater (1.9.0-1stretch) stretch; urgency=high

  * make rostest in CMakeLists optional (ros/rosdistro#3010 <https://github.com/ros/rosdistro/issues/3010>)
  * Fixed bug with merge summary in status wrapper
  * Contributors: Lukas Bulwahn, pAIgn10

 -- Austin Hendrix <namniart@gmail.com>  Mon, 24 Apr 2017 22:00:00 -0000

ros-melodic-diagnostic-updater (1.8.10-1stretch) stretch; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Mon, 13 Jun 2016 22:00:00 -0000

ros-melodic-diagnostic-updater (1.8.9-1stretch) stretch; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Tue, 01 Mar 2016 23:00:00 -0000

ros-melodic-diagnostic-updater (1.8.8-1stretch) stretch; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 05 Aug 2015 22:00:00 -0000

ros-melodic-diagnostic-updater (1.8.7-1stretch) stretch; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Thu, 08 Jan 2015 23:00:00 -0000

ros-melodic-diagnostic-updater (1.8.6-1stretch) stretch; urgency=high

  * Add queue_size to diagnostic_updater for Python.
    cf. http://wiki.ros.org/rospy/Overview/Publishers%20and%20Subscribers#queue_size:_publish.28.29_behavior_and_queuing
  * Contributors: Mike Purvis

 -- Austin Hendrix <namniart@gmail.com>  Tue, 09 Dec 2014 23:00:00 -0000

ros-melodic-diagnostic-updater (1.8.5-1stretch) stretch; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Mon, 28 Jul 2014 22:00:00 -0000

ros-melodic-diagnostic-updater (1.8.4-1stretch) stretch; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Thu, 24 Jul 2014 18:51:00 -0000

ros-melodic-diagnostic-updater (1.8.3-1stretch) stretch; urgency=high

  * Initialize next_time_ properly.
    Fixes #20 <https://github.com/ros/diagnostics/issues/20>
  * Add failing test for fast updater
  * Contributors: Austin Hendrix

 -- Austin Hendrix <namniart@gmail.com>  Tue, 22 Apr 2014 22:00:00 -0000

ros-melodic-diagnostic-updater (1.8.2-1stretch) stretch; urgency=high

  * Fix linking. All tests pass.
    Fixes #12 <https://github.com/ros/diagnostics/issues/12>
  * Most tests pass
  * Fix doc reference. Fixes #14 <https://github.com/ros/diagnostics/issues/14>
  * Contributors: Austin Hendrix

 -- Austin Hendrix <namniart@gmail.com>  Mon, 07 Apr 2014 22:00:00 -0000

ros-melodic-diagnostic-updater (1.8.1-1stretch) stretch; urgency=high

  * Add myself as maintainer
  * Added ability to supply a custom node name (prefix) to Updater
  * Added ability to supply node handle and private node handle to Updater
  * fixed exporting python API to address #10 <https://github.com/ros/diagnostics/issues/10>
  * fixed test related issues in some CMakeLists
  * check for CATKIN_ENABLE_TESTING
  * Contributors: Aero, Austin Hendrix, Brice Rebsamen, Lukas Bulwahn, Mitchell Wills

 -- Austin Hendrix <namniart@gmail.com>  Sun, 06 Apr 2014 22:00:00 -0000



=== debian/control ===
Source: ros-melodic-diagnostic-updater
Section: misc
Priority: optional
Maintainer: Austin Hendrix <namniart@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin (>= 0.5.68), ros-melodic-diagnostic-msgs, ros-melodic-roscpp, ros-melodic-rostest, ros-melodic-std-msgs
Homepage: http://www.ros.org/wiki/diagnostic_updater
Standards-Version: 3.9.2

Package: ros-melodic-diagnostic-updater
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-diagnostic-msgs, ros-melodic-roscpp, ros-melodic-std-msgs
Description: diagnostic_updater contains tools for easily updating diagnostics.
 it is commonly used in device drivers to keep track of the status of output topics, device status, etc.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-diagnostic-updater//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
